| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
SignatureAppearanceInfo Interface Reference
PDF » form

The appearance information for PDF signatures. More...

## Public Attributes
CustomAppearance | custom
| Custom appearance settings for the signature.
string | distinguishName
| Provides the distinguished name of the signer, often formatted as an email or a DN (Distinguished Name). More...
number | flag
| The appearance flags of signature. Please refer to Signature_Ap_Flags.
string | image
| The image for signing(e.g. BLOB URL, HTTP, HTTPS, and Base64URL).
boolean | isKeepRatio
| Indicates whether to keep the aspect ratio of the image.
string | location
| The physical location or hostname where the document was signed.
string | reason
| Specifies the reason why the document was signed. More...
string | title
| Unique title for the signature appearance.
string | type
| The type of the item, which is always "signatureAppearance". This property is used to identify the item as a signature appearance information object within a list of signing settings. More...

## Detailed Description

The appearance information for PDF signatures.

Since
  11.1.0

See also
  SignatureWorkflowService.addSignatureAPInfo

## Member Data Documentation

## ◆ distinguishName

string SignatureAppearanceInfo::distinguishName

Provides the distinguished name of the signer, often formatted as an email or a DN (Distinguished Name).

Used for uniquely identifying the signer, akin to a certificate's subject field

## ◆ reason

string SignatureAppearanceInfo::reason

Specifies the reason why the document was signed.

This helps in explaining the purpose or context of the signature, useful for legal or auditing purposes.

## ◆ type

string SignatureAppearanceInfo::type

The type of the item, which is always "signatureAppearance". This property is used to identify the item as a signature appearance information object within a list of signing settings.

See also
  SigningWorkflowHandler

@2026 Foxit Software Incorporated. All rights reserved.